---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - fad15250-dfbe-54d3-a19a-67e659e2645a
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.252
    water_vapour:
      id:
      - 24e650af-a757-55d1-9bb1-783d2a5e49b0
      tier: DEFINITIVE
      value: 5.8700000762939455
  id: 3db405d2-1196-43ec-8087-a4e443740a3b
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2017.5261732730419
      BAND-11: 245.62264272831297
      BAND-12: 84.00450568799305
      BAND-2: 2062.3097903669927
      BAND-3: 1930.9683002320521
      BAND-4: 1576.635877536332
      BAND-5: 1455.437651333536
      BAND-6: 1328.0913898828726
      BAND-7: 1215.7925010413157
      BAND-8: 1076.7913580327233
      BAND-8A: 981.9488058941095
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2017-01-03 00:58:36.259000Z
    atime: 2022-05-26 11:18:10Z
    ctime: 2018-05-11 01:46:38Z
    mtime: 2017-01-06 20:05:36Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20170103T005702_N0204_R002_T53KRB_20170103T005836.zip
  system_information:
    hostname: gadi-cpu-clx-0899.gadi.nci.org.au
    runtime_id: 864f9f70-dce5-11ec-80af-0000018ffe80
    time_processed: 2022-05-26 11:18:10.055629Z
    uname: 'Linux gadi-cpu-clx-0899.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 16.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 5
  granule: S2A_OPER_MSI_L1C_TL_SGS__20170103T040556_A008007_T53KRB_N02.04
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 32.3
      xy: 40.2
      y: 23.93
    abs_iterative_mean:
      x: 31.96
      xy: 39.78
      y: 23.69
    cep90: 41.8
    iterative_mean:
      x: -31.96
      xy: 39.78
      y: -23.69
    iterative_stddev:
      x: 3.15
      xy: 3.69
      y: 1.91
    mean:
      x: -32.3
      xy: 40.2
      y: -23.93
    stddev:
      x: 4.58
      xy: 6.8
      y: 5.03
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 15.919586458826068
    cloud: 71.97095935171558
    cloud_shadow: 1.6787255764786138
    snow: 10.397400835019956
    water: 0.033327777959782964
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 6.733736099812882
    cloud: 93.26626390018711
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
